param
(
[string] $url,
[int32] $wait = 600,
[string] $path
)
[string] $KodiRun = "\KodiCheck.run"
[string] $LogFile = "\KodiCheck.log"
[boolean] $KodiFileTest = $false

function CheckForStatus($url) 
{
$HTTP_Response = $null
$HTTP_Request = [System.Net.WebRequest]::Create($url)
$kodi = $false
$KodiFileTest = (Test-Path -Path $KodiRun)
try
    {
    $HTTP_Response = $HTTP_Request.GetResponse()
    $HTTP_Status = [int]$HTTP_Response.StatusCode
    $HTTP_Response.Close()
    }
catch
    {
    $HTTP_Status = [regex]::matches($_.exception.message, "(?<=\()[\d]{3}").Value
    if ($HTTP_Status -eq 401) <# ERROR 401: Unauthorized client #>
        {
        Add-Content $LogFile ((Get-Date).ToString("u") + (" File "+$KodiRun+" created, if not existed"))
        if (-Not ($KodiFileTest)) {Out-File -FilePath $KodiRun}
        }
    else 
        {
        Add-Content $LogFile ((Get-Date).ToString("u") + (" File "+$KodiRun+" deleted, if exist"))
        if  ($KodiFileTest) {Remove-Item -Path $KodiRun -Force}
        }
    }
}


function Get-ScriptDirectory {
    $Invocation = (Get-Variable MyInvocation -Scope 1).Value
    Split-Path $Invocation.MyCommand.Path
}


<# Hauptprogramm #>

if ($url -eq "") 
    {
    Write-Host ("KodiCheck.exe -url -wait -path e.g. KodiCheck.exe -url http://192.168.178.38:8080 -wait 10 (in Sec., default 600) -path c:")
    }
else
    {
        if ($path -eq "")
        {
        $path = Get-ScriptDirectory
        
        } 
        $KodiRun = $path+$KodiRun
        $LogFile = $path+$LogFile
<#        write-host $KodiRun
        write-host $LogFile #>
        set-content $LogFile ((Get-Date).ToString("u") + (" Script startet with parameter: -url "+$url+" -wait "+$wait+" -path "+$path))
    while ($true)
        {
        CheckForStatus $url
        Start-Sleep -s $wait
        } 
    }





